import { SlashCommandBuilder } from "discord.js";
import { z } from "zod";

export const Commands = z.enum(["water-me"]);
export type CommandsType = z.output<typeof Commands>;

export default function getCommands() {
	const commands = [
		new SlashCommandBuilder()
			.setName(Commands.Enum["water-me"])
			.setDescription("giess mich mit etwas wasser :3"),
	].map((command) => command.toJSON());

	return commands;
}
