import config from "config";
import client from "lib/client";

export class GreetingService {
	async greet() {
		const channels = client.channels;

		const channel = channels.cache.get(config.discord.channelId);

		if (channel?.isTextBased && channel?.isSendable()) {
			await channel.send({ content: "HALLOOOO" });
		}
	}
}
